org.eclipse.gef.layout.algorithms

## Class CompositeLayoutAlgorithm

- java.lang.Object
- - org.eclipse.gef.layout.algorithms.CompositeLayoutAlgorithm

All Implemented Interfaces:
  ILayoutAlgorithm

    public class CompositeLayoutAlgorithm
    extends java.lang.Object
    implements ILayoutAlgorithm

The `CompositeLayoutAlgorithm` combines multiple `ILayoutAlgorithm`s. When doing a layout-pass, all the algorithms are applied in sequence.

### Constructor Summary

Constructors
Constructor and Description
`CompositeLayoutAlgorithm(ILayoutAlgorithm[] algorithms)` Constructs a new `CompositeLayoutAlgorithm` that combines the given `ILayoutAlgorithm`s.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyLayout(LayoutContext context, boolean clean)` Makes this algorithm perform layout computation and apply it to its context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompositeLayoutAlgorithm

    public CompositeLayoutAlgorithm(ILayoutAlgorithm[] algorithms)

Constructs a new `CompositeLayoutAlgorithm` that combines the given `ILayoutAlgorithm`s.

Parameters:
  `algorithms` - The `ILayoutAlgorithm`s that are combined by this `CompositeLayoutAlgorithm`.

### Method Detail

#### applyLayout

    public void applyLayout(LayoutContext context,
                            boolean clean)

Description copied from interface: `ILayoutAlgorithm`
Makes this algorithm perform layout computation and apply it to its context.

Specified by:
  `applyLayout` in interface `ILayoutAlgorithm`
Parameters:
  `context` - The `LayoutContext` that provides all relevant information about what to layout.
  `clean` - if true the receiver should assume that the layout context has changed significantly and recompute the whole layout even if it keeps track of changes with listeners. False can be used after dynamic layout in a context is turned back on so that layout algorithm working in background can apply accumulated changes. Static layout algorithm can ignore this call entirely if clean is false.